## Create a label (tenant labels: desk:admin; space labels: space maintainer)

`POST /api/desk/v1/labels`

Module: Desk · operationId: `createLabel` · Tag: Configuration · Auth: access token (`Authorization: Bearer <accessToken>`)

### Request body

`application/json` (required)

- `name` (string, required): Name of the label
- `archived` (boolean): Archived: the label is kept for existing data but no longer offered in pickers
- `color` (string): Display color of the label
- `description` (string): Description of the label
- `id` (string): Id of the label
- `spaceId` (string): Space of the label (empty: tenant-wide)

Example:

```json
{
  "color": "info",
  "description": "Fragen zur Rechnung",
  "name": "rechnung"
}
```

### Responses

- **201** Created (`application/json`)

Fields of the 201 answer:

- `name` (string, required): Name of the label
- `archived` (boolean): Archived: the label is kept for existing data but no longer offered in pickers
- `color` (string): Display color of the label
- `description` (string): Description of the label
- `id` (string): Id of the label
- `spaceId` (string): Space of the label (empty: tenant-wide)

Example 201 answer:

```json
{
  "archived": false,
  "color": "warning",
  "description": "Einsatz beim Kunden nötig",
  "id": "9b6c7d8e-0f1a-4b2c-9d4e-6f7a8b9c0d01",
  "name": "vor-ort",
  "spaceId": ""
}
```

### Example request

```bash
curl -X POST 'https://api.mbcom.cloud/api/desk/v1/labels' \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H 'Content-Type: application/json' \
  --data '{"color":"info","description":"Fragen zur Rechnung","name":"rechnung"}'
```
